SCSELECT(8)

NAME
scselect - Select system configuration "location"

SYNOPSIS
scselect [-n] [new-location-name]

DESCRIPTION
scselect provides access to the system configuration sets, commonly referred to as "locations". When invoked with no arguments, scselect displays the names and associated identifiers for each defined "location" and indicates which is currently active. scselect also allows the user to select or change the active "location" by specifying its name or identifier. Changing the "location" causes an immediate system re-configuration, unless the -n option is supplied.

At present, the majority of preferences associated with a "location" relate to the system's network configuration.

The command line options are as follows:

-n  Delay changing the system's "location" until the next system boot (or the next time that the system configuration preferences are changed).

new-location-name
    If not specified, a list of the available "location" names and associated identifiers will be reported on standard output. If specified, this argument is matched with the "location" names and identifiers and the matching set is activated.

SEE ALSO
configd(8)

HISTORY
The scselect command appeared in Mac OS X Public Beta.